Name: gerbv
Version: 1.0.1
Release: alt1.1

Summary: Gerber file viewer

Packager: Vitaly Lipatov <lav@altlinux.ru>

Url: http://gerbv.sourceforge.net
License: GPL
Group: Graphics

Source: http://dl.sourceforge.net/%name/%name-%version.tar.bz2
Patch: %name-gcc4.patch

# Automatically added by buildreq on Thu Feb 24 2005
BuildRequires: fontconfig freetype2 glib2-devel hostinfo libatk-devel libgtk+2-devel libpango-devel libpng-devel pkgconfig xorg-x11-libs zlib-devel

%description
Gerbv is a viewer for Gerber files. Gerber files are generated from PCB CAD
system and sent to PCB manufacturers as basis for the manufacturing process.

%package examples
Summary: Gerber file examples for gerbv
Requires: gerbv
Group: Graphics

%description examples
Example files for gerbv.

%prep
%setup -q
%patch

%build
%configure --enable-exportpng --enable-gtk2
%make_build

%install
make install DESTDIR=%buildroot
strip %buildroot%_bindir/%name
mkdir -p %buildroot%_datadir/gerbv
cp -r example %buildroot%_datadir/gerbv
cp -r doc %buildroot%_datadir/gerbv

mkdir -p %buildroot%_menudir
cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%name" \\
section="Applications/Development" \\
title="gerbv" \\
longtitle="Schematic tool" \\
genericname="Schematic tool" \\
icon=%name.png \\
needs="x11"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%dir %_datadir/gerbv
%dir %_datadir/gerbv/doc
%dir %_datadir/gerbv/scheme
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/gerbv
%_mandir/man1/gerbv.*
%_datadir/gerbv/doc/*
%_datadir/gerbv/scheme/init.scm
%_menudir/%name

%files examples
%dir %_datadir/gerbv/example
%_datadir/gerbv/example/*

%changelog
* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.1-alt1.1
- fixes for GCC4
- remove LICENSE file

* Thu Feb 24 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.1-alt1
- first build for ALT Linux Sisyphus

* Thu Dec 16 2004 Stew Benedict <sbenedict@mandrakelinux.com>> 0.16-1mdk
- 1st Mandrakelinux release
- adapted from FC2 package by Wojciech Kazubski
